<?php
 /**
  * 
  * @package    Whatshelp - WordPress plugin
  * @version    1.0
  * @author     ThemeAtelier
  * @Websites: https://themeatelier.net/
  *
  */
 if( ! defined( 'ABSPATH' ) ) {
    die( WHATSHELP_ALERT_MSG );
}

if( !class_exists( 'Whatshelp_Enqueue' ) ){
	class Whatshelp_Enqueue{
		public function __construct( $args = array() ) {
			add_action( 'wp_enqueue_scripts', array( $this, 'frontend_enqueue_scripts' ) );
		}
		// Front-End enqueue scripts
		public function frontend_enqueue_scripts() {
			wp_enqueue_style( 'fontawesome', WHATSHELP_DIR_URL.'assets/css/all.min.css', array(), '1.0', false );
			wp_enqueue_style( 'whatshelp-main', WHATSHELP_DIR_URL.'assets/css/whatshelp-main.css', array(), '1.0', false );
			/********************
				Js Enqueue
			********************/
			wp_enqueue_script('moment', array('jquery'), '1.0',true);
			wp_enqueue_script( 'moment-timezone', WHATSHELP_DIR_URL.'assets/js/moment-timezone-with-data.min.js', array('jquery'), '1.0', true );
			wp_enqueue_script( 'whatshelp-main', WHATSHELP_DIR_URL.'assets/js/whatshelp-main.js', array('jquery'), '1.0', true );			
		}
	}

	$obj = new Whatshelp_Enqueue();
}

